## com.rbnb.api
Interface UsernameInterface

All Known Subinterfaces:
  Client, ClientInterface, Controller, com.rbnb.api.ControllerInterface, PlugIn, PlugInInterface, Sink, SinkInterface, Source, SourceInterface

All Known Implementing Classes:
  ControllerHandle

    public interface UsernameInterface

Username interface.

Classes implementing this interface have `Usernames` associated with them.

Since:
  V2.0
See Also:
  `Username`
Author:
  Ian Brown
Version:
  09/28/2004

Method Summary
`Username` `getUsername()` Gets the `Username` associated with this object.
`void` `setUsername(Username usernameI)` Sets the `Username` for this object.

Method Detail

### getUsername

    Username getUsername()

  Gets the `Username` associated with this object.

  Returns:
    the `Username`.
  Since:
    V2.0
  See Also:
    `setUsername(com.rbnb.api.Username usernameI)`
  Author:
    Ian Brown
  Version:
    01/14/2003

### setUsername

    void setUsername(Username usernameI)

  Sets the `Username` for this object.

  Parameters:
    `usernameI` - the `Username`.
  Since:
    V2.0
  See Also:
    `getUsername()`
  Author:
    Ian Brown
  Version:
    01/14/2003